VersionContainerInterface Class Referenceabstract
Inheritance diagram for VersionContainerInterface:
[legend]

## Classes

class | iterator_base
| smell like a pkgCache::VerIterator More...
struct | Modifier

## Public Member Functions

virtual bool | insert (pkgCache::VerIterator const &V)=0
virtual bool | empty () const =0
virtual void | clear ()=0
virtual size_t | size () const =0
| VersionContainerInterface (VersionContainerInterface const &other)
VersionContainerInterface & | operator= (VersionContainerInterface const &other)

## Static Public Member Functions

static bool | FromCommandLine (VersionContainerInterface *const vci, pkgCacheFile &Cache, const char **cmdline, CacheSetHelper::VerSelector const fallback, CacheSetHelper &helper)
static bool | FromString (VersionContainerInterface *const vci, pkgCacheFile &Cache, std::string pkg, CacheSetHelper::VerSelector const fallback, CacheSetHelper &helper, bool const onlyFromName=false)
static bool | FromPattern (VersionContainerInterface *const vci, pkgCacheFile &Cache, std::string pkg, CacheSetHelper::VerSelector const fallback, CacheSetHelper &helper)
static bool | FromPackage (VersionContainerInterface *const vci, pkgCacheFile &Cache, pkgCache::PkgIterator const &P, CacheSetHelper::VerSelector const fallback, CacheSetHelper &helper)
static bool | FromModifierCommandLine (unsigned short &modID, VersionContainerInterface *const vci, pkgCacheFile &Cache, const char *cmdline, std::list< Modifier > const &mods, CacheSetHelper &helper)
static bool | FromDependency (VersionContainerInterface *const vci, pkgCacheFile &Cache, pkgCache::DepIterator const &D, CacheSetHelper::VerSelector const selector, CacheSetHelper &helper)

## Static Protected Member Functions

static pkgCache::VerIterator | getCandidateVer (pkgCacheFile &Cache, pkgCache::PkgIterator const &Pkg, CacheSetHelper &helper)
| returns the candidate version of the package
static pkgCache::VerIterator | getInstalledVer (pkgCacheFile &Cache, pkgCache::PkgIterator const &Pkg, CacheSetHelper &helper)
| returns the installed version of the package

## Detailed Description

Same as APT::PackageContainerInterface, just for Versions

## Member Function Documentation

## getCandidateVer()

pkgCache::VerIterator getCandidateVer | ( | pkgCacheFile & | Cache,
|  | pkgCache::PkgIterator const & | Pkg,
|  | CacheSetHelper & | helper )

static protected

returns the candidate version of the package

Parameters

  Cache | to be used to query for information
  Pkg | we want the candidate version from this package
  helper | used in this container instance

References CacheSetHelper::CANDIDATE.

## getInstalledVer()

pkgCache::VerIterator getInstalledVer | ( | pkgCacheFile & | Cache,
|  | pkgCache::PkgIterator const & | Pkg,
|  | CacheSetHelper & | helper )

static protected

returns the installed version of the package

Parameters

  Cache | to be used to query for information
  Pkg | we want the installed version from this package
  helper | used in this container instance

References CacheSetHelper::INSTALLED.

The documentation for this class was generated from the following files:

- apt-pkg/cacheset.h
- apt-pkg/cacheset.cc